/*
 * Copyright (c) 2000 S.Eguchi(fukurou@kissa.ne.jp)
 * All rights reserved.
 */
#ifndef _GETWUDIRSTAT_
#define _GETWUDIRSTAT_ 1

#include "Conf.h"
#include <time.h>

typedef enum WU_DIR_STAT_t {
	WU_DIR_STAT_END=0,		/* working unit is ended */
	WU_DIR_STAT_EXECUTION,	/* executing other setiathome */
	WU_DIR_STAT_NO_WU,		/* not found working unit */
	WU_DIR_STAT_NO_DIR,		/* not found spcify directory */
	WU_DIR_STAT_ERR,		/* error detect  */
} WU_DIR_STAT;

WU_DIR_STAT GetWUDirStat(char* dir);
char* GetWUDirStatString(WU_DIR_STAT stat);
time_t GetWUModifyTime(char* dir);

#endif /* _GETWUDIRSTAT_ */
