/*
 * Copyright (c) 2000 S.Eguchi(fukurou@kissa.ne.jp)
 * All rights reserved.
 */
#ifndef _LOG_H_
#define _LOG_H_ 1

#define LOGFILE "setihodai.log"
#define LOG_LOCK_RETRY_MAX	10
void LogoutProc(char* filename, int line, char* addmsg);

#define LOGOUT(a) LogoutProc(0, 0, a);

#ifdef DEBUG_SETIHODAI
#define DBGOUT(a) LogoutProc(__FILE__, __LINE__, a);
#else
#define DBGOUT(a) ;
#endif /* DEBUG_SETIHODAI */


#endif /* _LOG_H_ */
