/*
 * Copyright (c) 2000 S.Eguchi(fukurou@kissa.ne.jp)
 * All rights reserved.
 */
#include <stdio.h>
#include <unistd.h>
#include <sys/stat.h>
#include <errno.h>

#include "CheckMakeWUDir.h"
#include "Conf.h"
#include "GblArea.h"
#include "Log.h"

int CheckMakeWUDir(char* workingdir, int ndir)
{
	int		i;
	char	dirname[1024];
	struct stat fileStat;

	for(i=0;i<ndir;i++) {
		sprintf(dirname, "%s/%s%03d", workingdir, WU_DIR_SUF, i);
		DBGOUT(dirname);

		/* check specifyed directory */
		if(stat(dirname, &fileStat) != 0) {
			LOGOUT("Make working uint directory");
			LOGOUT(dirname);
			/* not found directory */
			if(mkdir(dirname, 0777) != 0) {
				DBGOUT((char*)strerror(errno));
				return(-1);
			}
		}
	}
	return(0);
}
